#include <bits/stdc++.h>
using namespace std;
long long n,c,q,l,r,rez;
string s;
int main(){
    cin>>n>>c>>q;
    cin>>s;
    for(int i=1;i<=q;i++){
        cin>>l>>r;
        l--;
        r--;
        rez=0;

        for(int i=0;i<s.size();i++){
            if( (i>=l) and (i<=r) ){
                if(s[i]=='0'){
                    rez++;
                    s[i]='1';
                }
                else{
                    s[i]='0';
                }
            }
            else{
                if(s[i]=='1'){
                    rez++;
                }
            }
        }
        cout<<rez<<endl;

    }






return 0;}